Foreman - Feature

#2153

Add trusted_hosts for puppetmaster interfaces, bypass proxy requirement
01/24/2013 06:48 AM - Dominic Cleal

Status:
Priority:
Assignee:
Category:

Target version:

Closed
Normal
Dominic Cleal
Authentication
1.2.0

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

#2121 added an requirement by default that permits access to puppetmaster interfaces if the connection has a trusted client SSL

certificate and is from a registered smart proxy host.

It should also support a list of hosts to avoid the need for the proxy. Unsure whether this should bypass the SSL requirement or not.

Related issues:

Related to Foreman - Bug #2121: Unauthenticated YAML fact and reports importe... Closed 01/09/2013

Associated revisions

Revision 0323590f - 04/10/2013 04:18 AM - Dominic Cleal

fixes #2153 - add trusted_puppetmaster_hosts setting to permit puppetmaster access

Connections to fact + report upload and externalNodes will be permitted from

any host listed in the trusted_puppetmaster_hosts setting, bypassing the

requirement for a registered

Setting model updated to support empty arrays for values and defaults.

History

smart proxy.

#1 - 01/24/2013 06:48 AM -

Dominic Cleal

- Assignee deleted (Ohad Levy)

#2 - 01/24/2013 06:48 AM -

Dominic Cleal

- Subject changed from Add trusted_hosts for puppetmaster interfaces, bypass SSL requirement to Add trusted_hosts for puppetmaster interfaces,

bypass proxy requirement

#3 - 02/20/2013 11:25 AM -

- Status changed from New to Ready For Testing

Dominic Cleal

- Assignee set to Dominic Cleal

https://github.com/theforeman/foreman/pull/425

#4 - 04/10/2013 06:03 AM -

- Status changed from Ready For Testing to Closed

Dominic Cleal

- % Done changed from 0 to 100

Applied in changeset 0323590fd4828ed0a1ef8ecc34e12efc5d91317d.

#5 - 04/10/2013 07:28 AM -

- Target version set to 1.2.0

05/17/2024

Ohad Levy

1/1



https://projects.theforeman.org/issues/2121
https://github.com/theforeman/foreman/pull/425
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/0323590fd4828ed0a1ef8ecc34e12efc5d91317d
http://www.tcpdf.org

